package com.ruoyi.mall.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.mall.mapper.MallShopConfigMapper;
import com.ruoyi.mall.domain.MallShopConfig;
import com.ruoyi.mall.service.IMallShopConfigService;

/**
 * 配置信息设置Service业务层处理
 * 
 * @author ruoyi
 * @date 2021-11-25
 */
@Service
public class MallShopConfigServiceImpl implements IMallShopConfigService 
{
    @Autowired
    private MallShopConfigMapper mallShopConfigMapper;

    /**
     * 查询配置信息设置
     * 
     * @param id 配置信息设置主键
     * @return 配置信息设置
     */
    @Override
    public MallShopConfig selectMallShopConfigById(Long id)
    {
        return mallShopConfigMapper.selectMallShopConfigById(id);
    }

    /**
     * 查询配置信息设置列表
     * 
     * @param mallShopConfig 配置信息设置
     * @return 配置信息设置
     */
    @Override
    public List<MallShopConfig> selectMallShopConfigList(MallShopConfig mallShopConfig)
    {
        return mallShopConfigMapper.selectMallShopConfigList(mallShopConfig);
    }

    /**
     * 新增配置信息设置
     * 
     * @param mallShopConfig 配置信息设置
     * @return 结果
     */
    @Override
    public int insertMallShopConfig(MallShopConfig mallShopConfig)
    {
        return mallShopConfigMapper.insertMallShopConfig(mallShopConfig);
    }

    /**
     * 修改配置信息设置
     * 
     * @param mallShopConfig 配置信息设置
     * @return 结果
     */
    @Override
    public int updateMallShopConfig(MallShopConfig mallShopConfig)
    {
        return mallShopConfigMapper.updateMallShopConfig(mallShopConfig);
    }

    /**
     * 批量删除配置信息设置
     * 
     * @param ids 需要删除的配置信息设置主键
     * @return 结果
     */
    @Override
    public int deleteMallShopConfigByIds(Long[] ids)
    {
        return mallShopConfigMapper.deleteMallShopConfigByIds(ids);
    }

    /**
     * 删除配置信息设置信息
     * 
     * @param id 配置信息设置主键
     * @return 结果
     */
    @Override
    public int deleteMallShopConfigById(Long id)
    {
        return mallShopConfigMapper.deleteMallShopConfigById(id);
    }
}
